@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap");

:root {
  --primary-color: #0d62e9;
  --primary-color-dark: #FF4742;
  --secondary-color: #22796e;
  --text-dark: #2a2635;
  --text-light: #6b7280;
  --bg-color: #f9efe3;
  --max-width: 1200px;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
  color: var(--primary-color);
  transition: color 0.3s;
}

a:hover {
  color: var(--primary-color-dark);
}

body {
  font-family: "Poppins", sans-serif;
  background-color: var(--bg-color);
  line-height: 1.6;
}

#header {
  text-align: center;
  padding: 20px;
  background-color: var(--primary-color);
  color: #fff;
}

#header h1 {
  margin: 0;
}

nav {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: #ffffff;
  z-index: 99;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.nav__content {
  max-width: var(--max-width);
  margin: auto;
  padding: 1rem 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

nav .logo a {
  font-size: 1.5rem;
  font-weight: 600;
  color: var(--primary-color);
}

nav .checkbox {
  display: none;
}

nav input {
  display: none;
}

nav .checkbox i {
  font-size: 2rem;
  color: var(--primary-color);
  cursor: pointer;
}

ul {
  display: flex;
  align-items: center;
  gap: 1rem;
  list-style: none;
  transition: left 0.3s;
}

nav ul li {
  position: relative;
}

nav ul li:hover .dropdown {
  display: block;
}

.dropdown {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  width: 200px;
  background-color: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  z-index: 100;
}

.dropdown li {
  display: block;
}

.dropdown li a {
  padding: 10px;
  color: var(--text-dark);
  transition: color 0.3s ease;
}

.dropdown li a:hover {
  color: var(--primary-color);
}

ul li a {
  padding: 0.5rem 1rem;
  border: 2px solid transparent;
  text-decoration: none;
  font-weight: 600;
  color: var(--text-dark);
  transition: 0.3s;
}

ul li a:hover {
  color: var(--primary-color);
}

.container {
  display: flex;
  width: 100%;
  height: 50%;
  padding: 10px;
  box-sizing: border-box;
}

.main-content {
  display: flex;
  flex-direction: column;
  flex: 1;
  margin-right: 2%;
}

.content-top,
.content-bottom
  {
  flex: 1;
  padding: 15px;
  background-color: #ffffff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  margin-bottom: 2%; /* Space between top and bottom content */
  max-width: 75%;
  margin-left: 5%;
}

.contact-us {
  flex: 1;
  padding: 15px;
  background-color: #ffffff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  margin-bottom: 1%; /* Space between top and bottom content */
  max-width: 75%;
  margin-left: 5%;
}

h1 {
  text-align: center;
}

.sidebar {
  width: 20%;
  height: 98%;
  padding: 10px;
  background-color: #e8dfdf;
  color: rgb(16, 15, 15);
  box-shadow: -2px 0 5px rgba(0, 0, 0, 0.1);
  box-sizing: border-box;
}

.how-to-cite h2,
.right-section h2,
.contact-us h2 {
  margin-bottom: 20px;
  color: var(--text-dark);
}

.how-to-cite h2,
.right-section h2,
.contact-us h2 {
  margin-bottom: 20px;
  color: var(--text-dark);
}

.citation-indent {
  margin-left: 20px;
}

/* Footer styling */
#footer {
  background-color: #f8f9fa;
  padding: 20px 0;
  text-align: center;
}

#footer .footer__nav {
  margin-bottom: 10px;
}

#footer .footer__nav ul {
  list-style: none;
  padding: 0;
  display: flex;
  justify-content: center;
  gap: 15px;
}

#footer .footer__nav ul li {
  display: inline;
}

#footer .footer__nav ul li a {
  text-decoration: none;
  color: #333;
  font-weight: bold;
}

#footer .footer__nav ul li a:hover {
  color: #007bff;
}

.footer__line {
  border: 0;
  height: 3px;
  background: #333; /* Change color as needed */
  margin: 20px 0; /* Adjust margin as needed */
}

#footer .footer__credit {
  font-size: 0.9em;
  color: #666;
}

#footer .footer__credit a {
  color: #007bff;
  text-decoration: none;
}

#footer .footer__credit a:hover {
  text-decoration: underline;
}

@media (max-width: 768px) {
  .nav__content {
    flex-direction: column;
  }

  ul {
    flex-direction: column;
    gap: 0.5rem;
  }

  .container {
    flex-direction: column;
  }

  .buttons-container {
    flex-direction: column;
    align-items: center;
  }

  .buttons-container button {
    width: 100%;
    margin-bottom: 10px;
  }
}
